com.google.gwt.util.regexfilter

## Class WhitelistRegexFilter

- java.lang.Object
- - com.google.gwt.util.regexfilter.RegexFilter
  - - com.google.gwt.util.regexfilter.WhitelistRegexFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class WhitelistRegexFilter
      extends RegexFilter

  A `RegexFilter` for whitelisting.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WhitelistRegexFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `acceptByDefault()` If no pattern matches, whether the query should be considered as an accept.
    `protected boolean` | `entriesArePositiveByDefault()` If a pattern is not preceded by + or -, whether the query should be considered positive.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.google.gwt.util.regexfilter.RegexFilter

      `add, addAll, addAll, getValues, isEmpty, isIncluded, isIncluded`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WhitelistRegexFilter

          public WhitelistRegexFilter()

  - ### Method Detail

    - #### acceptByDefault

          protected boolean acceptByDefault()

      Description copied from class: `RegexFilter`
      If no pattern matches, whether the query should be considered as an accept.
      Specified by:
        `acceptByDefault` in class `RegexFilter`

    - #### entriesArePositiveByDefault

          protected boolean entriesArePositiveByDefault()

      Description copied from class: `RegexFilter`
      If a pattern is not preceded by + or -, whether the query should be considered positive.
      Specified by:
        `entriesArePositiveByDefault` in class `RegexFilter`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`